<?php
if (!isset($_POST['action']))
{
	$sql = "SELECT Kontakt_ID, DATE_FORMAT(Datum, '%d.%m.%Y') AS Datum FROM " . PREFIX . "_Angebote WHERE (Jahr = \"" . $Jahr . "\" AND ID = \"" . $ID . "\");";
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	$sql2 = "SELECT Firma, Nachname FROM " . PREFIX . "_Kontakte WHERE ID = \"" . $nt['Kontakt_ID'] . "\";";
	$result2 = $db->query($sql2);
	$nt2 = $result2->fetch_assoc();
	echo "<fieldset>\n";
	echo "	<legend>Angebot löschen</legend>\n";
	echo "	<h2>Soll folgendes Angebot wirklich gelöscht werden?</h2>\n";
	echo "	<label>Angebot-Nr.</label>\n";
	echo "	<label class=\"data\">" . str_replace(",", "_", $_POST['ID']) . "</label>\n";
	echo "	<br class=\"fix\" />\n";
	echo "	<label>Kunde</label>\n";
	echo "	<label class=\"data\">" . $nt2['Firma'] . " - " . $nt2['Nachname'] . "</label>\n";
	echo "	<br class=\"fix\" />\n";
	echo "	<label>Vom</label>\n";
	echo "	<label class=\"data\">" . $nt['Datum'] . "</label>\n";
	echo "	<br class=\"fix\" />\n";
	echo "	<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\" >\n";
	echo "		<input type=\"hidden\" name=\"ID\" value=\"" . $_POST['ID'] . "\" />\n";
	echo "		<input type=\"hidden\" name=\"formaction\" value=\"del\" />\n";
	echo "		<br />\n";
	echo "		<input type=\"submit\" class=\"button_del\" name=\"action\" value=\"1\" title=\"Angebot jetzt l&ouml;schen\" />\n";
	echo "		<input type=\"submit\" class=\"button_stop\" name=\"formaction\" value=\"stop\" title=\"Abbrechen\" />\n";
	echo "		<br />\n";
	echo "	</form>\n";
	echo "</fieldset>\n";
}
else
{
	$sql = 'DELETE FROM
				' . PREFIX . '_Angebot_Pos
			WHERE
				(Jahr		= "' . $Jahr . '"
			AND
				Angebot_ID	= "' . $ID . '");';
	$result = $db->query($sql);
	$sql = 'DELETE FROM
				' . PREFIX . '_Angebote
			WHERE
				(Jahr		= "' . $Jahr . '"
			AND
				ID	= "' . $ID . '");';
	$result = $db->query($sql);
	if ($result)
	{
		unset($_POST);
		include __DIR__ . "/angebot.php";
	}
	else
	{
		echo "Fehler beim löschen";
	}
}